/*
 * Priority.java
 */

package com.builder.uk.todotasks;

import javax.swing.ComboBoxModel;

/**
 * Priority enum to represent the levels of priority for a Task
 * @author Dj Walker-Morgan
 */
public enum Priority { 
    
    /**
     * No priority
     */
    NONE(0),
    /**
     * Low priority
     */
    LOW(1),
    /**
     * Medium priority
     */
    MEDIUM(2),
    /**
     * High priority
     */
    HIGH(3),
    /**
     * Critical priority, must do!
     */
    CRITICAL(4);
 
    Priority(int priority) { this.priority=priority; }
    
    final int priority;
}
